// file: ll_set_0.cc
//

// isip include files
//
#include "link_list.h"
#include "link_list_constants.h"

// method: set_head_cc
//
// arguments:
//  Link_node* node : (input) a link node to set as head of list
//
// return: a logical_1 to indicate success
//
// this method sets the specified node at the head of the linked list
//
logical_1 Link_list::set_head_cc(Link_node* node_a) {

  // exit ungracefully if the node is null
  //
  if (node_a == (Link_node*)NULL) {
    return ISIP_FALSE;
  }

  // set this node at head
  //
  head_d = node_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
